package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevCctvMapper;
import com.ruoyi.project.patrol.dev.domain.TDevCctv;
import com.ruoyi.project.patrol.dev.service.ITDevCctvService;

/**
 * CCTV系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-03
 */
@Service
public class TDevCctvServiceImpl implements ITDevCctvService 
{
    @Autowired
    private TDevCctvMapper tDevCctvMapper;

    /**
     * 查询CCTV系统
     * 
     * @param id CCTV系统主键
     * @return CCTV系统
     */
    @Override
    public TDevCctv selectTDevCctvById(Long id)
    {
        return tDevCctvMapper.selectTDevCctvById(id);
    }

    /**
     * 查询CCTV系统列表
     * 
     * @param tDevCctv CCTV系统
     * @return CCTV系统
     */
    @Override
    public List<TDevCctv> selectTDevCctvList(TDevCctv tDevCctv)
    {
        return tDevCctvMapper.selectTDevCctvList(tDevCctv);
    }

    /**
     * 新增CCTV系统
     * 
     * @param tDevCctv CCTV系统
     * @return 结果
     */
    @Override
    public int insertTDevCctv(TDevCctv tDevCctv)
    {
        return tDevCctvMapper.insertTDevCctv(tDevCctv);
    }

    /**
     * 修改CCTV系统
     * 
     * @param tDevCctv CCTV系统
     * @return 结果
     */
    @Override
    public int updateTDevCctv(TDevCctv tDevCctv)
    {
        return tDevCctvMapper.updateTDevCctv(tDevCctv);
    }

    /**
     * 批量删除CCTV系统
     * 
     * @param ids 需要删除的CCTV系统主键
     * @return 结果
     */
    @Override
    public int deleteTDevCctvByIds(Long[] ids)
    {
        return tDevCctvMapper.deleteTDevCctvByIds(ids);
    }

    /**
     * 删除CCTV系统信息
     * 
     * @param id CCTV系统主键
     * @return 结果
     */
    @Override
    public int deleteTDevCctvById(Long id)
    {
        return tDevCctvMapper.deleteTDevCctvById(id);
    }
}
